# Generated by Django 3.1.7 on 2021-02-23 13:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Auction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('status', models.BooleanField(db_index=True, default=False)),
                ('initial_price', models.DecimalField(decimal_places=2, max_digits=5)),
                ('min_price', models.DecimalField(decimal_places=2, max_digits=5)),
                ('max_price', models.DecimalField(decimal_places=2, max_digits=5)),
                ('counseling_goals', models.TextField()),
                ('extra_notes', models.TextField(null=True)),
                ('member_bio', models.TextField()),
                ('names_to_study', models.TextField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'auctions',
            },
        ),
        migrations.CreateModel(
            name='AuctionBids',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=True)),
                ('current_price', models.DecimalField(decimal_places=2, max_digits=5)),
                ('auction', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='auctions_auction', to='auctions.auction')),
            ],
            options={
                'db_table': 'auctions_bids',
            },
        ),
    ]
